package com.clx.performance.dao.impl;

import com.clx.performance.dao.OcrRecognitionDao;
import com.clx.performance.mapper.OcrRecognitionMapper;
import com.clx.performance.model.OcrRecognition;
import com.clx.performance.param.app.OcrRecognitionParam;
import com.msl.common.dao.impl.BaseDaoImpl;
import org.springframework.stereotype.Repository;


/**
 * @author yangqifa
 */
@Repository
public class OcrRecognitionDaoImpl extends BaseDaoImpl<OcrRecognitionMapper, OcrRecognition, Integer> implements OcrRecognitionDao {

    @Override
    public boolean exists(OcrRecognitionParam param) {
        return baseMapper.exists(lQrWrapper()
                .eq(OcrRecognition::getChildNo, param.getChildNo())
                .eq(OcrRecognition::getImageType, param.getImageType()));
    }
}
